// Primitives 3D et transformations
// Unité = millimètre
// Vecteur = point en 3D = [x,y,z]


// CUBE
// Arguments : dimensions (un nombre ou un vecteur), center (booléen)
cube(5, true);
translate([5,0,0])
	rotate([45,0,0])
		cube([5,10,2]);


// SPHERE
// Arguments : rayon, résolution ($fn), fragment angle ($fa), fragment size ($fs)
translate([0,15,0]) sphere(5);
translate([0,15,10]) sphere(5,$fn=5);
translate([0,15,25]) scale(2) sphere(5,$fn=50);


// CYLINDRE
// Arguments : hauteur, rayon, rayon1, rayon2, center, $fa, $fs, $fn
translate([0,-15,0]) color([1,0,0]) cylinder(h=10, r1=5, r2=10, center=true);


// POLYHEDRE
translate([0,-35,0])
polyhedron(
  points=[ [10,10,0],[10,-10,0],[-10,-10,0],[-10,10,0], // the four points at base
           [0,0,10]  ],                                 // the apex point 
  triangles=[ [0,1,4],[1,2,4],[2,3,4],[3,0,4],          // each triangle side
              [1,0,3],[2,1,3] ]                         // two triangles for square base
 );





